Remove Channel Viewers
Remove one or more viewers from a channel by email address.
Path Parameters
- Type: stringvideo
_workspace _id requiredGumlet workspace ID. You can get it on Gumlet dashboard or retrieve it using list workspace API.
Body
required
application/json
- Type: array string[] …200Format: emailemailsrequired
Email addresses of viewers to remove. A maximum of 200 viewers can be removed in one request.
Responses
- application/json
- application/json
Request Example for post/channel/{video_workspace_id}/viewers/remove
import Gumlet from '@gumlet/nodejs-sdk';
const client = new Gumlet({
apiKey: process.env['API_KEY'], // defaults to the API_KEY env var
});
const channelViewer = await client.channelViewers.delete('videoWorkspaceId', {
emails: ['test@gumlet.com', 'test+2@gumlet.com'],
});
console.log(channelViewer);
{
"success": true
}
